Summary:    Common functions for SBLIM Small Footprint CIM Broker and CIM Client Library.
Name:       sblim-sfcCommon
Version:    1.0.1
Release:    4%{?dist}
License:    EPL
URL:        http://sourceforge.net/projects/sblim/
Source0:    http://downloads.sourceforge.net/sblim/%{name}-%{version}.tar.bz2

BuildRequires: make sblim-cmpi-devel gcc gcc-c++

%description
This package provides a common library for functions shared between Small Footprint CIM Broker
(sblim-sfcb) Small Footprint CIM Client (and sblim-sfcc).

%package    devel
Summary:    Sblim-sfcCommon Development Files
Requires:    %{name} = %{version}-%{release}

%description devel
Sblim-sfcCommon Development Files.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure
%make_build

%install
%make_install
rm -f %{buildroot}/%{_libdir}/libsfcUtil.a
rm -f %{buildroot}/%{_libdir}/libsfcUtil.la

%files
%license COPYING
%doc AUTHORS README NEWS ChangeLog
%{_libdir}/libsfcUtil.so.*

%files devel
%{_includedir}/sfcCommon
%{_libdir}/libsfcUtil.so

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.1-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 21 2023 Shuo Wang <abushwang@tencent.com> - 1.0.1-1
- initial build
